package com.brilliance.isc.bo.lg;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.trnmod.vo.SwiaddVo;
import com.brilliance.isc.bo.model.Gcdgrp;
import com.brilliance.isc.bo.model.Gidgrp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GitcrqStoreBo extends BaseTransactionVo {
    private Gcdgrp gcdgrp;
    private Gidgrp gidgrp;
    private SwiaddVo swiadd;
    private String clmtxt= NULLSTR;
    private String clmtxts20= NULLSTR;
    private Boolean extpay = false;
    private String nxtflg= NULLSTR;
    private Date repdat;
    private int payday;
    private Boolean adaflg = false;
    //申报类型
    private  String szflg = NULLSTR;
    //欠款去向
    private  String acttyp = NULLSTR;
    @Override
    public void reset() {
        super.reset();
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
        gidgrp.reset();
        if(gcdgrp == null){
            gcdgrp = new Gcdgrp();
        }
        gcdgrp.reset();
        if(swiadd == null){
            swiadd = new SwiaddVo();
        }
        swiadd.reset();
    }
}
